function sum=F10X(x)
       %% Alpine  function
        m=length(x);
        sum1=0.0;
        for i=1:m
            sum1=sum1+abs((x(i)*sin(x(i))+0.1*x(i)));
        end
        sum=sum1;
endfunction